configure: properly check for mingw-w64 through installed headers. mingw-w64 can...
authorRamiro Polla <ramiro.polla@gmail.com>
Sat, 10 Jul 2010 04:08:02 +0000 (04:08 +0000)
committerDerek Buitenhuis <derek.buitenhuis@gmail.com>
Sat, 2 Jun 2012 23:25:57 +0000 (19:25 -0400)
Originally committed as revision 24156 to svn://svn.ffmpeg.org/ffmpeg/trunk
(cherry picked from commit 0a4307d6307516d333ce2cde2a2ffa0f50bc176c)
Signed-off-by: Derek Buitenhuis <derek.buitenhuis@gmail.com>
configure

index 745d8fd..c2da74a 100755 (executable)
--- a/configure
+++ b/configure
@@ -1611,7 +1611,7 @@ case $target_os in
         objformat="win32"
         enable dos_paths
         check_cflags -fno-common
-        if ! enabled x86_64; then
+        if ! check_cpp_condition _mingw.h "defined (__MINGW64_VERSION_MAJOR)"; then
             check_cpp_condition _mingw.h "(__MINGW32_MAJOR_VERSION > 3) || (__MINGW32_MAJOR_VERSION == 3 && __MINGW32_MINOR_VERSION >= 15)" ||
                 die "ERROR: MinGW runtime version must be >= 3.15."
             enabled_any avisynth vfwcap_demuxer &&